libsmf

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- c
- d
- e
- f
- i
- l
- m
- n
- p
- r
- s
- t
- u

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - c -

- clocks_per_click : smf_tempo_struct

### - d -

- delta_time_pulses : smf_event_struct
- denominator : smf_tempo_struct
- division : mthd_chunk_struct

### - e -

- event_number : smf_event_struct
- events_array : smf_track_struct
- expected_number_of_tracks : smf_struct

### - f -

- file_buffer : smf_struct , smf_track_struct
- file_buffer_length : smf_struct , smf_track_struct
- format : mthd_chunk_struct , smf_struct
- frames_per_second : smf_struct

### - i -

- id : chunk_header_struct

### - l -

- last_seek_position : smf_struct
- last_status : smf_track_struct
- length : chunk_header_struct

### - m -

- microseconds_per_quarter_note : smf_tempo_struct
- midi_buffer : smf_event_struct
- midi_buffer_length : smf_event_struct
- mthd_header : mthd_chunk_struct

### - n -

- next_chunk_offset : smf_struct
- next_event_number : smf_track_struct
- next_event_offset : smf_track_struct
- notes_per_note : smf_tempo_struct
- number_of_events : smf_track_struct
- number_of_tracks : mthd_chunk_struct , smf_struct
- numerator : smf_tempo_struct

### - p -

- ppqn : smf_struct

### - r -

- resolution : smf_struct

### - s -

- smf : smf_track_struct
- stream : smf_struct

### - t -

- tempo_array : smf_struct
- time_of_next_event : smf_track_struct
- time_pulses : smf_event_struct , smf_tempo_struct
- time_seconds : smf_event_struct , smf_tempo_struct
- track : smf_event_struct
- track_number : smf_event_struct , smf_track_struct
- tracks_array : smf_struct

### - u -

- user_pointer : smf_event_struct , smf_track_struct